[Pbuilder-maint] pbuilder CVS update: pbuildd/scripts/cb ant antlr classpath cyrus-sasl2 ecj-bootstrap ecj-bootstrap.diff

pbuilder CVS Commit pbuilder-maint at lists.alioth.debian.org
Mon May 15 09:43:52 UTC 2006


  User: schepler
  Date: 06/05/15 09:43:52

  Modified:    scripts/cb ant antlr classpath cyrus-sasl2 ecj-bootstrap
                        ecj-bootstrap.diff
  Log:
  More syntax fixes.
  
  Update patch for ecj-bootstrap cb script.
  
  Revision  Changes    Path
  1.2       +1 -1      pbuildd/scripts/cb/ant
  
  CVSWEB Options: -------------------
  
  CVSWeb: Annotate this file:            http://cvs.alioth.debian.org/cgi-bin/cvsweb.cgi/pbuilder/pbuildd/scripts/cb/ant?annotate=1.2&cvsroot=
  
  CVSWeb: View this file:             http://cvs.alioth.debian.org/cgi-bin/cvsweb.cgi/pbuilder/pbuildd/scripts/cb/ant?rev=1.2&content-type=text/x-cvsweb-markup&cvsroot=
  
  CVSWeb: Diff to previous version:   http://cvs.alioth.debian.org/cgi-bin/cvsweb.cgi/pbuilder/pbuildd/scripts/cb/ant.diff?r1=1.2&r2=1.1&cvsroot=
  
  -----------------------------------
  
  Index: ant
  ===================================================================
  RCS file: /cvsroot/pbuilder/pbuildd/scripts/cb/ant,v
  retrieving revision 1.1
  retrieving revision 1.2
  diff -u -r1.1 -r1.2
  --- ant	3 Apr 2006 09:01:32 -0000	1.1
  +++ ant	15 May 2006 09:43:52 -0000	1.2
  @@ -7,7 +7,7 @@
   inst_pkgs cdbs debhelper kaffe junit antlr
   inst_src ant
   
  -if ! $CHROOTEXEC /bin/bash -c "cd /tmp/ant/*/; $SUTOUSER dpkg-buildpackage -d -uc -us $DEBBUILDOPTS"; then
  +if ! $CHROOTEXEC /bin/bash -c "cd /tmp/ant/*/; $SUTOUSER \"dpkg-buildpackage -d -uc -us $DEBBUILDOPTS\""; then
       echo "pbuilder: Failed autobuilding of package" >&2
       exit 1
   fi
  
  
  
  1.2       +2 -2      pbuildd/scripts/cb/antlr
  
  CVSWEB Options: -------------------
  
  CVSWeb: Annotate this file:            http://cvs.alioth.debian.org/cgi-bin/cvsweb.cgi/pbuilder/pbuildd/scripts/cb/antlr?annotate=1.2&cvsroot=
  
  CVSWeb: View this file:             http://cvs.alioth.debian.org/cgi-bin/cvsweb.cgi/pbuilder/pbuildd/scripts/cb/antlr?rev=1.2&content-type=text/x-cvsweb-markup&cvsroot=
  
  CVSWeb: Diff to previous version:   http://cvs.alioth.debian.org/cgi-bin/cvsweb.cgi/pbuilder/pbuildd/scripts/cb/antlr.diff?r1=1.2&r2=1.1&cvsroot=
  
  -----------------------------------
  
  Index: antlr
  ===================================================================
  RCS file: /cvsroot/pbuilder/pbuildd/scripts/cb/antlr,v
  retrieving revision 1.1
  retrieving revision 1.2
  diff -u -r1.1 -r1.2
  --- antlr	3 Apr 2006 09:01:32 -0000	1.1
  +++ antlr	15 May 2006 09:43:52 -0000	1.2
  @@ -6,7 +6,7 @@
   
   test -d /var/cache/pbuildd/pool/k/kaffe
   inst_pkgs debhelper fastjar classpath jikes-classpath autotools-dev \
  -    gcj libgcj-dev python autotools-dev kaffe-common
  +    gcj libgcj-dev python
   inst_src antlr
   
   if ! $CHROOTEXEC /bin/bash -e <<EOF
  @@ -19,7 +19,7 @@
       dpkg -i --force-depends kaffe_*.deb kaffe-pthreads_*.deb
   
       cd /tmp/antlr/*/
  -    $SUTOUSER dpkg-buildpackage -uc -us $DEBBUILDOPTS
  +    $SUTOUSER "dpkg-buildpackage -uc -us $DEBBUILDOPTS"
   EOF
   then
       echo "pbuilder: Failed autobuilding of package" >&2
  
  
  
  1.2       +3 -3      pbuildd/scripts/cb/classpath
  
  CVSWEB Options: -------------------
  
  CVSWeb: Annotate this file:            http://cvs.alioth.debian.org/cgi-bin/cvsweb.cgi/pbuilder/pbuildd/scripts/cb/classpath?annotate=1.2&cvsroot=
  
  CVSWeb: View this file:             http://cvs.alioth.debian.org/cgi-bin/cvsweb.cgi/pbuilder/pbuildd/scripts/cb/classpath?rev=1.2&content-type=text/x-cvsweb-markup&cvsroot=
  
  CVSWeb: Diff to previous version:   http://cvs.alioth.debian.org/cgi-bin/cvsweb.cgi/pbuilder/pbuildd/scripts/cb/classpath.diff?r1=1.2&r2=1.1&cvsroot=
  
  -----------------------------------
  
  Index: classpath
  ===================================================================
  RCS file: /cvsroot/pbuilder/pbuildd/scripts/cb/classpath,v
  retrieving revision 1.1
  retrieving revision 1.2
  diff -u -r1.1 -r1.2
  --- classpath	3 Apr 2006 09:01:32 -0000	1.1
  +++ classpath	15 May 2006 09:43:52 -0000	1.2
  @@ -1,15 +1,15 @@
   #! /bin/sh -e
   
  -# For the classpath -> gjdoc -> antlr -> jikes-classpath circular dependency
  +# For classpath -> gjdoc -> antlr -> jikes-classpath.
   
   . /var/cache/pbuildd/scripts/cb-functions
   
   inst_pkgs debhelper jikes zip libgtk2.0-dev libart-2.0-dev libx11-dev \
       libice-dev libxt-dev libxtst-dev libasound2-dev cdbs libcairo2-dev dpatch \
  -    libqt4-dev
  +    libqt4-dev dssi-dev ladspa-sdk libjack0.100.0-dev
   inst_src classpath
   
  -if ! $CHROOTEXEC /bin/bash -c "cd /tmp/classpath/*/; $SUTOUSER dpkg-buildpackage -d -uc -us $DEBBUILDOPTS"; then
  +if ! $CHROOTEXEC /bin/bash -c "cd /tmp/classpath/*/; $SUTOUSER \"dpkg-buildpackage -d -uc -us $DEBBUILDOPTS\""; then
       echo "pbuilder: Failed autobuilding of package" >&2
       exit 1
   fi
  
  
  
  1.2       +2 -2      pbuildd/scripts/cb/cyrus-sasl2
  
  CVSWEB Options: -------------------
  
  CVSWeb: Annotate this file:            http://cvs.alioth.debian.org/cgi-bin/cvsweb.cgi/pbuilder/pbuildd/scripts/cb/cyrus-sasl2?annotate=1.2&cvsroot=
  
  CVSWeb: View this file:             http://cvs.alioth.debian.org/cgi-bin/cvsweb.cgi/pbuilder/pbuildd/scripts/cb/cyrus-sasl2?rev=1.2&content-type=text/x-cvsweb-markup&cvsroot=
  
  CVSWeb: Diff to previous version:   http://cvs.alioth.debian.org/cgi-bin/cvsweb.cgi/pbuilder/pbuildd/scripts/cb/cyrus-sasl2.diff?r1=1.2&r2=1.1&cvsroot=
  
  -----------------------------------
  
  Index: cyrus-sasl2
  ===================================================================
  RCS file: /cvsroot/pbuilder/pbuildd/scripts/cb/cyrus-sasl2,v
  retrieving revision 1.1
  retrieving revision 1.2
  diff -u -r1.1 -r1.2
  --- cyrus-sasl2	3 Apr 2006 09:01:32 -0000	1.1
  +++ cyrus-sasl2	15 May 2006 09:43:52 -0000	1.2
  @@ -5,11 +5,11 @@
   . /var/cache/pbuildd/scripts/cb-functions
   
   inst_pkgs autotools-dev debhelper libpam0g-dev zlib1g-dev libdb4.2-dev \
  -    libopie-dev chrpath libssl-dev libmysqlclient10-dev \
  +    libopie-dev chrpath libssl-dev libmysqlclient15-dev \
       libpq-dev automake1.7 autoconf dbs groff-base comerr-dev libtool
   inst_src cyrus-sasl2
   
  -if ! $CHROOTEXEC /bin/bash -c "cd /tmp/cyrus-sasl2/*/; $SUTOUSER dpkg-buildpackage -d -uc -us $DEBBUILDOPTS"; then
  +if ! $CHROOTEXEC /bin/bash -c "cd /tmp/cyrus-sasl2/*/; $SUTOUSER \"dpkg-buildpackage -d -uc -us $DEBBUILDOPTS\""; then
       echo "pbuilder: Failed autobuilding of package" >&2
       exit 1
   fi
  
  
  
  1.2       +2 -2      pbuildd/scripts/cb/ecj-bootstrap
  
  CVSWEB Options: -------------------
  
  CVSWeb: Annotate this file:            http://cvs.alioth.debian.org/cgi-bin/cvsweb.cgi/pbuilder/pbuildd/scripts/cb/ecj-bootstrap?annotate=1.2&cvsroot=
  
  CVSWeb: View this file:             http://cvs.alioth.debian.org/cgi-bin/cvsweb.cgi/pbuilder/pbuildd/scripts/cb/ecj-bootstrap?rev=1.2&content-type=text/x-cvsweb-markup&cvsroot=
  
  CVSWeb: Diff to previous version:   http://cvs.alioth.debian.org/cgi-bin/cvsweb.cgi/pbuilder/pbuildd/scripts/cb/ecj-bootstrap.diff?r1=1.2&r2=1.1&cvsroot=
  
  -----------------------------------
  
  Index: ecj-bootstrap
  ===================================================================
  RCS file: /cvsroot/pbuilder/pbuildd/scripts/cb/ecj-bootstrap,v
  retrieving revision 1.1
  retrieving revision 1.2
  diff -u -r1.1 -r1.2
  --- ecj-bootstrap	3 Apr 2006 09:01:32 -0000	1.1
  +++ ecj-bootstrap	15 May 2006 09:43:52 -0000	1.2
  @@ -6,10 +6,10 @@
   
   . /var/cache/pbuildd/scripts/cb-functions
   
  -inst_pkgs cdbs debhelper gcj-4.0 fastjar
  +inst_pkgs cdbs debhelper gcj-4.1 fastjar
   inst_src ecj-bootstrap ant
   
  -if ! $CHROOTEXEC /bin/bash -c "cd /tmp/ecj-bootstrap/*/; $SUTOUSER dpkg-buildpackage -d -uc -us $DEBBUILDOPTS"; then
  +if ! $CHROOTEXEC /bin/bash -c "cd /tmp/ecj-bootstrap/*/; $SUTOUSER \"dpkg-buildpackage -d -uc -us $DEBBUILDOPTS\""; then
       echo "pbuilder: Failed autobuilding of package" >&2
       exit 1
   fi
  
  
  
  1.2       +7 -7      pbuildd/scripts/cb/ecj-bootstrap.diff
  
  CVSWEB Options: -------------------
  
  CVSWeb: Annotate this file:            http://cvs.alioth.debian.org/cgi-bin/cvsweb.cgi/pbuilder/pbuildd/scripts/cb/ecj-bootstrap.diff?annotate=1.2&cvsroot=
  
  CVSWeb: View this file:             http://cvs.alioth.debian.org/cgi-bin/cvsweb.cgi/pbuilder/pbuildd/scripts/cb/ecj-bootstrap.diff?rev=1.2&content-type=text/x-cvsweb-markup&cvsroot=
  
  CVSWeb: Diff to previous version:   http://cvs.alioth.debian.org/cgi-bin/cvsweb.cgi/pbuilder/pbuildd/scripts/cb/ecj-bootstrap.diff.diff?r1=1.2&r2=1.1&cvsroot=
  
  -----------------------------------
  
  Index: ecj-bootstrap.diff
  ===================================================================
  RCS file: /cvsroot/pbuilder/pbuildd/scripts/cb/ecj-bootstrap.diff,v
  retrieving revision 1.1
  retrieving revision 1.2
  diff -u -r1.1 -r1.2
  --- ecj-bootstrap.diff	3 Apr 2006 09:01:32 -0000	1.1
  +++ ecj-bootstrap.diff	15 May 2006 09:43:52 -0000	1.2
  @@ -1,15 +1,15 @@
   diff -urN ecj-bootstrap-3.1.2.old/debian/rules ecj-bootstrap-3.1.2/debian/rules
  ---- ecj-bootstrap-3.1.2.old/debian/rules	2006-03-05 09:09:23.000000000 +0000
  -+++ ecj-bootstrap-3.1.2/debian/rules	2006-03-05 09:15:44.000000000 +0000
  -@@ -25,6 +25,7 @@
  - ifeq ($(DEB_HOST_ARCH),hppa)
  -   with_rebuild := no
  - endif
  +--- ecj-bootstrap-3.1.2.old/debian/rules	2006-04-19 13:34:11.000000000 +0000
  ++++ ecj-bootstrap-3.1.2/debian/rules	2006-04-19 13:37:02.000000000 +0000
  +@@ -20,6 +20,7 @@
  + #ifeq ($(DEB_HOST_ARCH),hppa)
  + #  with_rebuild := no
  + #endif
   +with_rebuild := no
    
    default: build
    
  -@@ -54,7 +55,7 @@
  +@@ -49,7 +50,7 @@
    	set -e; \
    	for f in $$(find build/bin -name '*.java'); do \
    	    $(GCJ) -d build/bin -C -g \
  
  
  



More information about the Pbuilder-maint mailing list